# va.mak
# Created by IBM WorkFrame/2 MakeMake at 13:12:35 on 29 June 1996
#
# The actions included in this make file are:
#  Compile::C++ Compiler
#  Link::Linker
#  Lib::Import Lib

.SUFFIXES: .DLL .LIB .cpp .obj

.all: \
    C:\SOURCE\ool\source\OOLM3I01.LIB

.cpp.obj:
    @echo " Compile::C++ Compiler "
    icc.exe /Ge- /Tdp /Ti /Gm /C %s
#    icc.exe /Ge- /Q /Ti /Gm+ /Gd- /Fo"%|dpfF.obj" /C %s

.DLL.LIB:
    @echo " Lib::Import Lib "
    implib.exe %|dpfF.LIB %s
    copy *.dll c:\os2\apps\dll
    copy *.lib c:\ibmcpp\lib

C:\SOURCE\ool\source\OOLM3I01.DLL: \
    C:\SOURCE\ool\source\xwindow.obj \
    C:\SOURCE\ool\source\xwindrag.obj \
    C:\SOURCE\ool\source\xapp.obj \
    C:\SOURCE\ool\source\xbutton.obj \
    C:\SOURCE\ool\source\xcircsld.obj \
    C:\SOURCE\ool\source\xclipbrd.obj \
    C:\SOURCE\ool\source\xcolor.obj \
    C:\SOURCE\ool\source\xcont.obj \
    C:\SOURCE\ool\source\xcontain.obj \
    C:\SOURCE\ool\source\xcontrol.obj \
    C:\SOURCE\ool\source\xdate.obj \
    C:\SOURCE\ool\source\xentry.obj \
    C:\SOURCE\ool\source\xevent.obj \
    C:\SOURCE\ool\source\xfile.obj \
    C:\SOURCE\ool\source\xframe.obj \
    C:\SOURCE\ool\source\xfrmcnt.obj \
    C:\SOURCE\ool\source\xfrmwnd.obj \
    C:\SOURCE\ool\source\xgraphbt.obj \
    C:\SOURCE\ool\source\xgraphdv.obj \
    C:\SOURCE\ool\source\xgraphob.obj \
    C:\SOURCE\ool\source\xhandler.obj \
    C:\SOURCE\ool\source\xhelp.obj \
    C:\SOURCE\ool\source\xlistbox.obj \
    C:\SOURCE\ool\source\xmedia.obj \
    C:\SOURCE\ool\source\xmenu.obj \
    C:\SOURCE\ool\source\xmle.obj \
    C:\SOURCE\ool\source\xmsgbox.obj \
    C:\SOURCE\ool\source\xobjwnd.obj \
    C:\SOURCE\ool\source\xrect.obj \
    C:\SOURCE\ool\source\xreslib.obj \
    C:\SOURCE\ool\source\xscrlbar.obj \
    C:\SOURCE\ool\source\xscrlwnd.obj \
    C:\SOURCE\ool\source\xslider.obj \
    C:\SOURCE\ool\source\xspinbtn.obj \
    C:\SOURCE\ool\source\xstatic.obj \
    C:\SOURCE\ool\source\XString.obj \
    C:\SOURCE\ool\source\xthread.obj \
    C:\SOURCE\ool\source\xtime.obj \
    C:\SOURCE\ool\source\xtoolbar.obj \
    C:\SOURCE\ool\source\xuserwnd.obj \
    C:\SOURCE\ool\source\xvaluset.obj \
    {$(LIB)}mmpm2.lib
    @echo " Link::Linker "
    icc.exe @<<
      /Ge- /Tdp /Fi /Si /Ti /Gm /B" /noe"
     /FeC:\SOURCE\ool\source\OOLM3I01.DLL
     va.def
     mmpm2.lib
     C:\SOURCE\ool\source\xwindow.obj
     C:\SOURCE\ool\source\xwindrag.obj
     C:\SOURCE\ool\source\xapp.obj
     C:\SOURCE\ool\source\xbutton.obj
     C:\SOURCE\ool\source\xcircsld.obj
     C:\SOURCE\ool\source\xclipbrd.obj
     C:\SOURCE\ool\source\xcolor.obj
     C:\SOURCE\ool\source\xcont.obj
     C:\SOURCE\ool\source\xcontain.obj
     C:\SOURCE\ool\source\xcontrol.obj
     C:\SOURCE\ool\source\xdate.obj
     C:\SOURCE\ool\source\xentry.obj
     C:\SOURCE\ool\source\xevent.obj
     C:\SOURCE\ool\source\xfile.obj
     C:\SOURCE\ool\source\xframe.obj
     C:\SOURCE\ool\source\xfrmcnt.obj
     C:\SOURCE\ool\source\xfrmwnd.obj
     C:\SOURCE\ool\source\xgraphbt.obj
     C:\SOURCE\ool\source\xgraphdv.obj
     C:\SOURCE\ool\source\xgraphob.obj
     C:\SOURCE\ool\source\xhandler.obj
     C:\SOURCE\ool\source\xhelp.obj
     C:\SOURCE\ool\source\xlistbox.obj
     C:\SOURCE\ool\source\xmedia.obj
     C:\SOURCE\ool\source\xmenu.obj
     C:\SOURCE\ool\source\xmle.obj
     C:\SOURCE\ool\source\xmsgbox.obj
     C:\SOURCE\ool\source\xobjwnd.obj
     C:\SOURCE\ool\source\xrect.obj
     C:\SOURCE\ool\source\xreslib.obj
     C:\SOURCE\ool\source\xscrlbar.obj
     C:\SOURCE\ool\source\xscrlwnd.obj
     C:\SOURCE\ool\source\xslider.obj
     C:\SOURCE\ool\source\xspinbtn.obj
     C:\SOURCE\ool\source\xstatic.obj
     C:\SOURCE\ool\source\XString.obj
     C:\SOURCE\ool\source\xthread.obj
     C:\SOURCE\ool\source\xtime.obj
     C:\SOURCE\ool\source\xtoolbar.obj
     C:\SOURCE\ool\source\xuserwnd.obj
     C:\SOURCE\ool\source\xvaluset.obj
<<

C:\SOURCE\ool\source\xwindow.obj: \
    C:\SOURCE\ool\source\xwindow.cpp \
    {C:\SOURCE\ool\source;$(INCLUDE);}xheaders.h

C:\SOURCE\ool\source\xvaluset.obj: \
    C:\SOURCE\ool\source\xvaluset.cpp \
    {C:\SOURCE\ool\source;$(INCLUDE);}xobject.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xinclude.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xcontrol.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xwindow.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xvaluset.h

C:\SOURCE\ool\source\xuserwnd.obj: \
    C:\SOURCE\ool\source\xuserwnd.cpp \
    {C:\SOURCE\ool\source;$(INCLUDE);}xobject.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xinclude.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xwindow.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xuserwnd.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xcntrevn.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xevent.h

C:\SOURCE\ool\source\xtoolbar.obj: \
    C:\SOURCE\ool\source\xtoolbar.cpp \
    {C:\SOURCE\ool\source;$(INCLUDE);}xheaders.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}stdlib.h

C:\SOURCE\ool\source\xtime.obj: \
    C:\SOURCE\ool\source\xtime.cpp \
    {C:\SOURCE\ool\source;$(INCLUDE);}xobject.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xinclude.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}os2.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xtime.h

C:\SOURCE\ool\source\xthread.obj: \
    C:\SOURCE\ool\source\xthread.cpp \
    {C:\SOURCE\ool\source;$(INCLUDE);}xobject.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xinclude.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xthread.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xprocess.h

C:\SOURCE\ool\source\XString.obj: \
    C:\SOURCE\ool\source\XString.CPP \
    {C:\SOURCE\ool\source;$(INCLUDE);}string.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}stdlib.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xstring.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}XDefines.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}assert.h

C:\SOURCE\ool\source\xstatic.obj: \
    C:\SOURCE\ool\source\xstatic.cpp \
    {C:\SOURCE\ool\source;$(INCLUDE);}xheaders.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}stdio.h

C:\SOURCE\ool\source\xspinbtn.obj: \
    C:\SOURCE\ool\source\xspinbtn.cpp \
    {C:\SOURCE\ool\source;$(INCLUDE);}xobject.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xinclude.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xcontrol.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xwindow.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xspinbtn.h

C:\SOURCE\ool\source\xslider.obj: \
    C:\SOURCE\ool\source\xslider.cpp \
    {C:\SOURCE\ool\source;$(INCLUDE);}xobject.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xinclude.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xcontrol.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xwindow.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xslider.h

C:\SOURCE\ool\source\xscrlwnd.obj: \
    C:\SOURCE\ool\source\xscrlwnd.cpp \
    {C:\SOURCE\ool\source;$(INCLUDE);}xheaders.h

C:\SOURCE\ool\source\xscrlbar.obj: \
    C:\SOURCE\ool\source\xscrlbar.cpp \
    {C:\SOURCE\ool\source;$(INCLUDE);}xobject.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xinclude.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xcontrol.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xwindow.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xscrlbar.h

C:\SOURCE\ool\source\xreslib.obj: \
    C:\SOURCE\ool\source\xreslib.cpp \
    {C:\SOURCE\ool\source;$(INCLUDE);}xheaders.h

C:\SOURCE\ool\source\xrect.obj: \
    C:\SOURCE\ool\source\xrect.cpp \
    {C:\SOURCE\ool\source;$(INCLUDE);}xobject.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xinclude.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xrect.h

C:\SOURCE\ool\source\xobjwnd.obj: \
    C:\SOURCE\ool\source\xobjwnd.cpp \
    {C:\SOURCE\ool\source;$(INCLUDE);}xheaders.h

C:\SOURCE\ool\source\xmsgbox.obj: \
    C:\SOURCE\ool\source\xmsgbox.cpp \
    {C:\SOURCE\ool\source;$(INCLUDE);}xheaders.h

C:\SOURCE\ool\source\xmle.obj: \
    C:\SOURCE\ool\source\xmle.cpp \
    {C:\SOURCE\ool\source;$(INCLUDE);}xobject.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xinclude.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xcontrol.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xwindow.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xstring.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xmle.h

C:\SOURCE\ool\source\xmenu.obj: \
    C:\SOURCE\ool\source\xmenu.cpp \
    {C:\SOURCE\ool\source;$(INCLUDE);}xheaders.h

C:\SOURCE\ool\source\xmedia.obj: \
    C:\SOURCE\ool\source\xmedia.cpp \
    {C:\SOURCE\ool\source;$(INCLUDE);}xheaders.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}string.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}stdlib.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}os2me.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}os2medef.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}meerror.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}perfstub.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}mciapi.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}ssm.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}mcios2.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}mmdrvos2.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}mmsystem.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}mcidrv.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}mmio.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}codec.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}mmioos2.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}sw.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}spcb.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}evcb.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}acb.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}dcb.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}stdio.h

C:\SOURCE\ool\source\xlistbox.obj: \
    C:\SOURCE\ool\source\xlistbox.cpp \
    {C:\SOURCE\ool\source;$(INCLUDE);}xobject.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xinclude.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xcontrol.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xwindow.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xlistbox.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xstring.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xcombo.h

C:\SOURCE\ool\source\xhelp.obj: \
    C:\SOURCE\ool\source\xhelp.cpp \
    {C:\SOURCE\ool\source;$(INCLUDE);}xheaders.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}string.h

C:\SOURCE\ool\source\xhandler.obj: \
    C:\SOURCE\ool\source\xhandler.cpp \
    {C:\SOURCE\ool\source;$(INCLUDE);}xheaders.h

C:\SOURCE\ool\source\xgraphob.obj: \
    C:\SOURCE\ool\source\xgraphob.cpp \
    {C:\SOURCE\ool\source;$(INCLUDE);}xheaders.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xmsgbox.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xobject.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xinclude.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}string.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}stdlib.h

C:\SOURCE\ool\source\xgraphdv.obj: \
    C:\SOURCE\ool\source\xgraphdv.cpp \
    {C:\SOURCE\ool\source;$(INCLUDE);}xheaders.h

C:\SOURCE\ool\source\xgraphbt.obj: \
    C:\SOURCE\ool\source\xgraphbt.cpp \
    {C:\SOURCE\ool\source;$(INCLUDE);}xobject.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xinclude.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xcontrol.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xwindow.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}string.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}stdlib.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xgraphbt.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}os2me.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xsetbtn.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}os2medef.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}meerror.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}perfstub.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}mciapi.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}ssm.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}mcios2.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}mmdrvos2.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}mmsystem.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}mcidrv.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}mmio.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}codec.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}mmioos2.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}sw.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xbutton.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}spcb.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}evcb.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}acb.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}dcb.h

C:\SOURCE\ool\source\xfrmwnd.obj: \
    C:\SOURCE\ool\source\xfrmwnd.cpp \
    {C:\SOURCE\ool\source;$(INCLUDE);}xheaders.h

C:\SOURCE\ool\source\xfrmcnt.obj: \
    C:\SOURCE\ool\source\xfrmcnt.cpp \
    {C:\SOURCE\ool\source;$(INCLUDE);}xheaders.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}string.h

C:\SOURCE\ool\source\xframe.obj: \
    C:\SOURCE\ool\source\xframe.cpp \
    {C:\SOURCE\ool\source;$(INCLUDE);}xheaders.h

C:\SOURCE\ool\source\xfile.obj: \
    C:\SOURCE\ool\source\xfile.cpp \
    {C:\SOURCE\ool\source;$(INCLUDE);}xheaders.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}string.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}stdlib.h

C:\SOURCE\ool\source\xevent.obj: \
    C:\SOURCE\ool\source\xevent.cpp \
    {C:\SOURCE\ool\source;$(INCLUDE);}xheaders.h

C:\SOURCE\ool\source\xentry.obj: \
    C:\SOURCE\ool\source\xentry.cpp \
    {C:\SOURCE\ool\source;$(INCLUDE);}xobject.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xinclude.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xcontrol.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xwindow.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xentry.h

C:\SOURCE\ool\source\xdate.obj: \
    C:\SOURCE\ool\source\xdate.cpp \
    {C:\SOURCE\ool\source;$(INCLUDE);}xobject.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xinclude.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}os2.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xdate.h

C:\SOURCE\ool\source\xcontrol.obj: \
    C:\SOURCE\ool\source\xcontrol.cpp \
    {C:\SOURCE\ool\source;$(INCLUDE);}xheaders.h

C:\SOURCE\ool\source\xcontain.obj: \
    C:\SOURCE\ool\source\xcontain.cpp \
    {C:\SOURCE\ool\source;$(INCLUDE);}xheaders.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}string.h

C:\SOURCE\ool\source\xcont.obj: \
    C:\SOURCE\ool\source\xcont.cpp \
    {C:\SOURCE\ool\source;$(INCLUDE);}xheaders.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}string.h

C:\SOURCE\ool\source\xcolor.obj: \
    C:\SOURCE\ool\source\xcolor.cpp \
    {C:\SOURCE\ool\source;$(INCLUDE);}xobject.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xinclude.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xcolor.h

C:\SOURCE\ool\source\xclipbrd.obj: \
    C:\SOURCE\ool\source\xclipbrd.cpp \
    {C:\SOURCE\ool\source;$(INCLUDE);}xheaders.h

C:\SOURCE\ool\source\xcircsld.obj: \
    C:\SOURCE\ool\source\xcircsld.cpp \
    {C:\SOURCE\ool\source;$(INCLUDE);}xobject.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xinclude.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xcircsld.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xcontrol.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xwindow.h

C:\SOURCE\ool\source\xbutton.obj: \
    C:\SOURCE\ool\source\xbutton.cpp \
    {C:\SOURCE\ool\source;$(INCLUDE);}xheaders.h

C:\SOURCE\ool\source\xapp.obj: \
    C:\SOURCE\ool\source\xapp.cpp \
    {C:\SOURCE\ool\source;$(INCLUDE);}xheaders.h

C:\SOURCE\ool\source\xwindrag.obj: \
    C:\SOURCE\ool\source\xwindrag.cpp \
    {C:\SOURCE\ool\source;$(INCLUDE);}xheaders.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xmsgbox.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xobject.h \
    {C:\SOURCE\ool\source;$(INCLUDE);}xinclude.h

C:\SOURCE\ool\source\OOLM3I01.LIB: \
    C:\SOURCE\ool\source\OOLM3I01.DLL
